/**
 * @constructor UpdateLogger
 */

'use strict'

const colorprint = require('colorprint')
const path = require('path')

/** @lends UpdateLogger */
module.exports = colorprint.define(
  /** @lends UpdateLogger.prototype */
  {
    logSecretUpdated (filename) {
      const s = this
      let updated = path.relative(process.cwd(), path.resolve(filename))
      s.debug(`File updated: ${updated}`)
    }
  }
)

