/**
 * Test case for apemanScrt.
 * Runs with mocha.
 */
'use strict'

const apemanScrt = require('../lib/apeman_scrt.js')
const co = require('co')
const mkdirp = require('mkdirp')
const path = require('path')
const fs = require('fs')
const assert = require('assert')

describe('apeman-scrt', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Update secret', () => co(function * () {
    let apemanfile = require.resolve('../doc/mocks/mock-Apemanfile.js')
    let configuration = require(apemanfile)
    let filename = configuration.$scrt
    mkdirp(path.dirname(filename))
    fs.writeFileSync(filename, JSON.stringify({}, null, 2))
    yield apemanScrt({
      configuration,
      password: 'hoge'
    })
    let data = apemanScrt.expose(filename, 'hoge')
    assert.ok(data)
    console.log(data)
  }))
})

/* global describe, before, after, it */
